| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SbBarrier Class Reference
Portable Threads Abstraction Classes

The SbBarrier class implements the "barrier" multi-thread synchronization technique.A barrier is a synchronization mechanism that is used for blocking threads as they enter the barrier until a given number of threads are blocked, at which point all the threads are released again. More...

`#include <Inventor/threads/SbBarrier.h>`

## Public Member Functions

| SbBarrier (unsigned int count)
| ~SbBarrier (void)
int | enter (void)

## Detailed Description

The SbBarrier class implements the "barrier" multi-thread synchronization technique.

A barrier is a synchronization mechanism that is used for blocking threads as they enter the barrier until a given number of threads are blocked, at which point all the threads are released again.

## Constructor & Destructor Documentation

SbBarrier::SbBarrier | ( | unsigned int | count) |  |

inline

Constructor. The SbBarrier will be set for `count` number of threads.

SbBarrier::~SbBarrier | ( | void | ) |  |

inline

Destructor.

## Member Function Documentation

int SbBarrier::enter | ( | void | ) |  |

inline

This method blocks the calling thread on this barrier. It returns when the given number of threads have been blocked. 1 is returned if the caller was the last thread to enter the barrier, 0 otherwise.

The documentation for this class was generated from the following files:

- SbBarrier.h
- barrier.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.